package main

import (
	"context"
	"database/sql"
	"fmt"
	"log"

	"git.katuwoss.dev/JustScreaMy/secret-santa/internal/queries"
	_ "github.com/mattn/go-sqlite3"
)

func main() {
	ctx := context.Background()

	dbConnection, err := sql.Open("sqlite3", "./test.db")
	if err != nil {
		log.Fatal(err)
	}
	db := queries.New(dbConnection)

	if err := db.CreateUser(ctx, queries.CreateUserParams{
		Email:     "jakub.kropacek@olc.cz",
		FirstName: "Jakub",
		LastName:  "Kropáček",
	}); err != nil {
		log.Fatal(err)
	}

	users, err := db.GetUsers(ctx)
	if err != nil {
		log.Fatal(err)
	}

	for _, user := range users {
		fmt.Println(user)
	}
}
